#
# Main Makefile. This is basically the same as a component makefile.
#
# This Makefile should, at the very least, just include $(SDK_PATH)/make/component_common.mk. By default, 
# this will take the sources in the src/ directory, compile them and link them into 
# lib(subdirectory_name).a in the build directory. This behaviour is entirely configurable,
# please read the ESP-IDF documents if you need to do this.
#

JERRY_LIB_DIRS:=  jerry-core jerry-core/jcontext  jerry-core/ecma/operations jerry-core/jrt jerry-core/jmem jerry-core/lit jerry-core/vm jerry-core/parser/js jerry-core/ecma/base jerry-core/ecma/builtin-objects jerry-core/ecma/builtin-objects/typedarray jerry-core/parser/regexp
COMPONENT_SRCDIRS:= $(JERRY_LIB_DIRS)

COMPONENT_PRIV_INCLUDEDIRS:= $(JERRY_LIB_DIRS) ./ jerry-libm/include jerry-core/debugger jerry-core/parser jerry-core/profiles 
COMPONENT_ADD_INCLUDEDIRS:= jerry-core

JERRY_FLAGS:= -DJERRY_JS_PARSER -DJERRY_NDEBUG -DJERRY_DISABLE_HEAVY_DEBUG -DCONFIG_MEM_HEAP_AREA_SIZE=20480
CFLAGS += $(JERRY_FLAGS)